Page MenuHomePhabricator

[tracking] End term evaluations for GSoC 2015 and Outreachy 10 projects
Closed, ResolvedPublic

Description

End-term evaluations will be performed by the mentors. All students and mentors must submit their evaluation on Melange after 21st August and before 28th August 2015.

General checklist for a successful evaluation:

  • End-term goals as outlined in the project timeline are complete
  • Project is completed and hosted on Labs/elsewhere - in a demo-able condition (please provide link to the demo)
  • Weekly reports are up-to-date and complete
  • The student has been in regular touch with mentors
  • Tasks have been created for known bugs, missing features, and suggested improvements (link to project board).
  • Documentation for users and contributors is created (for example, if this is an extension project, provide link to extension page with installation instructions, project description and database information clearly provided)
  • Wrap-up report is up-to-date (Link please)
  • Summary is provided on the past projects page (GSoC or Outreachy)

Related Objects

Event Timeline

Niharika created this task.Aug 16 2015, 5:28 AM
Niharika claimed this task.
Niharika raised the priority of this task from to Medium.
Niharika updated the task description. (Show Details)
Niharika added subscribers: Ricordisamoa, Qgil, Sitic and 2 others.

@Qgil, any comments on this before I create subtasks for all projects?

Qgil added a comment.Aug 17 2015, 9:48 AM

The checkbox in https://www.mediawiki.org/wiki/Outreach_programs/Life_of_a_successful_project#End_of_program_evaluation contains more items...

In order to avoid the problems of T717, I would keep the checklist as we planned it.

Niharika updated the task description. (Show Details)Aug 17 2015, 12:41 PM
Niharika set Security to None.

@Qgil, I added some details for the checklist items - have a look?

Qgil added a comment.Aug 17 2015, 1:01 PM

Looks good!

Niharika closed this task as Resolved.Sep 1 2015, 1:27 PM

All done. Yay!